Subject: Re: cuImage generation

From: Peter Korsgaard <[email-masked]>
Date: Wed, 19 Sep 2007 16:53:14 +0200

>>>>> "Scott" == Scott Wood <[email-masked]> writes:

 Scott> On Wed, Sep 19, 2007 at 09:28:31AM +0200, Gerhard Pircher wrote:
 >> I tried to compile a 2.6.23-rc6 kernel yesterday, but wasn't able to get a
 >> cuImage.<platform) out of it (only the uImage file was generated). My
 >> platform config defines DEFAULT_UIMAGE and WANT_DEVICE_TREE. Do I need to
 >> generate it manually or is there a makefile where I have to specify it?
 >> Naturally I added my cuboot wrapper code to the arch/powerpc/boot/Makefile.

I have the same problem here..

 Scott> Did you specify a device tree to use in CONFIG_DEVICE_TREE?

Yes.

% grep TREE .config
CONFIG_PROC_DEVICETREE=y
CONFIG_WANT_DEVICE_TREE=y
CONFIG_DEVICE_TREE="mpc8349emitx.dts"

How is it supposed to work now cuImage no longer is in BOOT_TARGETS?
What make target are you supposed to work. It works if I add
cuImage.83xx to BOOT_TARGETS and call make cuImage.83xx, but that can
hardly be the correct way?

-- 
Bye, Peter Korsgaard